Skip to content

Coi Detection Jobs

Operations Summary

Method Endpoint Description
GET /api/coi-detection-jobs/ List Coi Detection Jobs
GET /api/coi-detection-jobs/{uuid}/ Retrieve

List Coi Detection Jobs

1
2
3
4
http \
  GET \
  https://api.example.com/api/coi-detection-jobs/ \
  Authorization:"Token YOUR_API_TOKEN"
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
from waldur_api_client.client import AuthenticatedClient
from waldur_api_client.models.coi_detection_job_job_type_enum import COIDetectionJobJobTypeEnum # (1)
from waldur_api_client.models.coi_detection_job_o_enum import COIDetectionJobOEnum # (2)
from waldur_api_client.models.coi_detection_job_state_enum import COIDetectionJobStateEnum # (3)
from waldur_api_client.api.coi_detection_jobs import coi_detection_jobs_list # (4)

client = AuthenticatedClient(
    base_url="https://api.example.com", token="YOUR_API_TOKEN"
)
response = coi_detection_jobs_list.sync(client=client)

for item in response:
    print(item)
  1. Model Source: COIDetectionJobJobTypeEnum
  2. Model Source: COIDetectionJobOEnum
  3. Model Source: COIDetectionJobStateEnum
  4. API Source: coi_detection_jobs_list
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
import { coiDetectionJobsList } from 'waldur-js-client';

try {
  const response = await coiDetectionJobsList({
  auth: "Token YOUR_API_TOKEN"
});
  console.log('Success:', response);
} catch (error) {
  console.error('Error:', error);
}
Name Type Description
call_uuid string (uuid)
job_type string Enum: full_call, incremental, single_pair
o array Ordering

page integer A page number within the paginated result set.
page_size integer Number of results to return per page.
state array

200 -

The response body is an array of objects, where each object has the following structure:

Field Type Description
url string Return URL for the job detail endpoint.
uuid string (uuid)
call string (uri)
call_uuid string (uuid)
call_name string
job_type any
state any
total_pairs integer
processed_pairs integer
progress_percentage number (double)
conflicts_found integer
started_at string (date-time)
completed_at string (date-time)
error_message string
created string (date-time)

Retrieve

1
2
3
4
http \
  GET \
  https://api.example.com/api/coi-detection-jobs/a1b2c3d4-e5f6-7890-abcd-ef1234567890/ \
  Authorization:"Token YOUR_API_TOKEN"
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
from waldur_api_client.client import AuthenticatedClient
from waldur_api_client.api.coi_detection_jobs import coi_detection_jobs_retrieve # (1)

client = AuthenticatedClient(
    base_url="https://api.example.com", token="YOUR_API_TOKEN"
)
response = coi_detection_jobs_retrieve.sync(
    uuid="a1b2c3d4-e5f6-7890-abcd-ef1234567890",
    client=client
)

print(response)
  1. API Source: coi_detection_jobs_retrieve
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
import { coiDetectionJobsRetrieve } from 'waldur-js-client';

try {
  const response = await coiDetectionJobsRetrieve({
  auth: "Token YOUR_API_TOKEN",
  path: {
    "uuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
  }
});
  console.log('Success:', response);
} catch (error) {
  console.error('Error:', error);
}
Name Type Required
uuid string (uuid)

200 -

Field Type Description
url string Return URL for the job detail endpoint.
uuid string (uuid)
call string (uri)
call_uuid string (uuid)
call_name string
job_type any
state any
total_pairs integer
processed_pairs integer
progress_percentage number (double)
conflicts_found integer
started_at string (date-time)
completed_at string (date-time)
error_message string
created string (date-time)